﻿using System;
//using System.Collections.Generic;
//using System.ComponentModel;
//using System.Data;
//using System.Drawing;
//using System.Linq;
//using System.Text;
using System.Windows.Forms;
using Word = Microsoft.Office.Interop.Word;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }


        private void button1_Click(object sender, EventArgs e)
        {
            //Word laden
            Word.Application Wordapp = new Word.Application();
            //Word anzeigen
            Wordapp.Visible = true;
            //Word Dokument erstellen
            Word.Document Doc = Wordapp.Documents.Add();
            //Tabelleeinfügestelle definieren
            Word.Range Rng = Doc.Range(0, 0); //(Start, End)
            //Tabelle einfügen
            Rng.Tables.Add(Doc.Paragraphs[1].Range, 3, 2); //(Range, NumRows, NumColumns)
            //Zähler Definieren
            int Zaehler = 1;
            //dynamisches einlesen der Werte aus den Textboxen mit einer Schleife (3 Durchläufe, für 3x2 Textboxen)
			//benötigt Textboxen mit den Namen txtNr1, txtNr2, txtNr3, txtP1, txtP2 und txtP3
            for (int x = 1; x <= 3; x++)
            {
                //Abfrage ob in den Textboxen "txtNr" etwas geschrieben steht
                //erster Durchlauf:  if (txtNr1.Text.Trim().Length > 0)
                //zweiter Durchlauf: if (txtNr2.Text.Trim().Length > 0) 
                //-> in deinem Bsp. wird dieser übersprungen weil Textlänge von txtNr2 = 0
                //dritter Durchlauf: if (txtNr3.Text.Trim().Length > 0)
                if (this.Controls["txtNr" + x.ToString()].Text.Trim().Length > 0)
                {
                    //erster Durchlauf/erstes Element: txtNr-Wert in Zeile 1 und Spalte 1 schreiben
                    //dritter Durchlauf/zweites Element: txtNr-Wert in Zeile 2 und Spalte 1 schreiben
                    Doc.Tables[1].Rows[Zaehler].Cells[1].Range.Text = this.Controls["txtNr" + x.ToString()].Text.Trim();
                    //erster Durchlauf/erstes Element: txtP-Wert in Zeile 1 und Spalte 2 schreiben
                    //dritter Durchlauf/zweites Element: txtP-Wert in Zeile 2 und Spalte 2 schreiben
                    Doc.Tables[1].Rows[Zaehler].Cells[2].Range.Text = this.Controls["txtP" + x.ToString()].Text.Trim();
                    //Zähler um 1 erhöhen
                    Zaehler += 1;
                }
            }

        }
    }
}
